PipeWire: Result handling

PipeWire 1.4.0 |

Loading...
Searching...
No Matches
Files | Macros | Functions
Result handling
SPA » Utilities

Asynchronous result utilities. More...

## Files
file | result.h
| `spa/utils/result.h`

## Macros
#define | SPA_API_RESULT static inline
#define | SPA_ASYNC_BIT (1 << 30)
#define | SPA_ASYNC_SEQ_MASK (SPA_ASYNC_BIT - 1)
#define | SPA_ASYNC_MASK (~SPA_ASYNC_SEQ_MASK)
#define | SPA_RESULT_IS_OK(res)
#define | SPA_RESULT_IS_ERROR(res)
#define | SPA_RESULT_IS_ASYNC(res)
#define | SPA_RESULT_ASYNC_SEQ(res)
#define | SPA_RESULT_RETURN_ASYNC(seq)

## Functions
SPA_API_RESULT const char * | spa_strerror (int err)

## Detailed Description

Asynchronous result utilities.

## Macro Definition Documentation

## ◆ SPA_API_RESULT

#define SPA_API_RESULT static inline

## ◆ SPA_ASYNC_BIT

#define SPA_ASYNC_BIT (1 << 30)

## ◆ SPA_ASYNC_SEQ_MASK

#define SPA_ASYNC_SEQ_MASK (SPA_ASYNC_BIT - 1)

## ◆ SPA_ASYNC_MASK

#define SPA_ASYNC_MASK (~SPA_ASYNC_SEQ_MASK)

## ◆ SPA_RESULT_IS_OK

#define SPA_RESULT_IS_OK | ( |  | res | ) |

Value:
((res) >= 0)
res
uint32_t int int res
Definition core.h:433

## ◆ SPA_RESULT_IS_ERROR

#define SPA_RESULT_IS_ERROR | ( |  | res | ) |

Value:
((res) < 0)

## ◆ SPA_RESULT_IS_ASYNC

#define SPA_RESULT_IS_ASYNC | ( |  | res | ) |

Value:
(((res) & SPA_ASYNC_MASK) == SPA_ASYNC_BIT)
SPA_ASYNC_MASK
#define SPA_ASYNC_MASK
Definition result.h:47
SPA_ASYNC_BIT
#define SPA_ASYNC_BIT
Definition result.h:43

## ◆ SPA_RESULT_ASYNC_SEQ

#define SPA_RESULT_ASYNC_SEQ | ( |  | res | ) |

Value:
((res) & SPA_ASYNC_SEQ_MASK)
SPA_ASYNC_SEQ_MASK
#define SPA_ASYNC_SEQ_MASK
Definition result.h:45

## ◆ SPA_RESULT_RETURN_ASYNC

#define SPA_RESULT_RETURN_ASYNC | ( |  | seq | ) |

Value:
(SPA_ASYNC_BIT | SPA_RESULT_ASYNC_SEQ(seq))
seq
uint32_t int seq
Definition core.h:432
SPA_RESULT_ASYNC_SEQ
#define SPA_RESULT_ASYNC_SEQ(res)
Definition result.h:57

## Function Documentation

## ◆ spa_strerror()

SPA_API_RESULT const char * spa_strerror | ( | int | err | ) |

Examples
  bluez-session.c, export-sink.c, export-source.c, export-spa-device.c, export-spa.c, local-v4l2.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, spa/examples/local-videotestsrc.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, and video-play.c.